////////////////////////////////////////////////////////////////////// 
// libsrc/Genetics.h 
// (c) 2000-2006 Goncalo Abecasis
// 
// This file is distributed as part of the QTDT source code package   
// and may not be redistributed in any form, without prior written    
// permission from the author. Permission is granted for you to       
// modify this file for your own personal use, but modified versions  
// must retain this copyright notice and must not be distributed.     
// 
// Permission is granted for you to use this file to compile QTDT.    
// 
// All computer programs have bugs. Use this file at your own risk.   
// 
// Tuesday January 17, 2006
// 
 
#ifndef  __GENETICS_H__
#define  __GENETICS_H__

#include "Parameters.h"

// Genetic models
#define  GM_FREE        0
#define  GM_RECESSIVE   1
#define  GM_ADDITIVE    2
#define  GM_DOMINANT    3

// Constants for imprinting analysis
#define  I_NONE         0
#define  I_PATERNAL     1
#define  I_MATERNAL     2
#define  I_FULL         3
#define  I_IMPRINTING   4

// Constants for special effects
#define SFX_NONE        0
#define SFX_PATERNAL    1
#define SFX_MATERNAL    2

class ImprintingParameter : public Parameter
   {
   public:
   ImprintingParameter(char c, char * desc, int & v)
      : Parameter(c, desc, &v)
      {}

   virtual void Status();

   protected:
      virtual void Translate(char * value);
   };

class GeneticModelParameter : public Parameter
   {
   public:
   GeneticModelParameter(char c, char * desc, int & v)
      : Parameter(c, desc, &v)
      {}

   virtual void Status();

   protected:
      virtual void Translate(char * value);
   };

#endif

 
